Dev-Team Blog
To find yourself, think for yourself © Socrates 469 BC
To update or not to update? 

We’ve been reading some comments in our previous post "Updates!" and certain people have been a little bit excited and hastily updated using yesterday’s iTunes update without getting the information first ;-)

If you want a quick summary of what to do go to the end of this post if not continue reading ;-)

We don’t see any major problems with the release that Apple made, but we have not released an update for PwnageTool for it as yet and therefore PwnageTool 2.0.1 will currently not work!

If you absolutely can’t wait then original (2G) iPhone owners can update using iTunes if they really need to, but you’ll lose third-party applications that rely on the Jailbreak, although it is reported that the 2G device remains activated, we have not clarified this.

3G owners can in theory update, but you’ll lose the jailbreak, and you should only carry out this update if you always plan to use the 3G phone with the original carrier, but be warned that there is a baseband update that occurs during this update that could impact the ability to unlock the device (if and when an unlock becomes available), we have not fully tested this baseband update as yet, but we think it is better to be safe than sorry, officially unlocked SIM-Free iPhone 3Gs will always remain unlocked with the updates you apply from Apple, but again the jailbreaks will be lost.

Remember, from a jailbreaking point of view the update process is always reversible, but this isn’t the case for the 3G baseband, so your intended long term future use for the phone should help you decide what you do. If you always going to use the 3G phone with the original carrier then baseband updates are fine, if you are not then hold off. 

As soon as testing is finished a PwnageTool update will be released that will allow you to safely update either device with all current PwnageTool features still in place and you’ll have the option to disable the baseband update.

The current version of PwnageTool is numbered 2.0.1 but it does not support the latest ipsw (also numbered 2.0.1) version

Again, a clarification in layman’s terms :-

  • If you own a first generation (2G iPhone), no matter what you do now, you don’t have to worry, the next PwnageTool will get you where you want even if it you prematurely updated. 2G is completely pwned at every conceivable level and you’ll always be OK.  But if you own a 3G iPhone and are looking for unlock in the near future, don’t use Apple’s update yet!
  • If your 3G iPhone is on a regular contract and you always plan to be with the carrier then you can update but you will lose the jailbreak and access to third party (non AppStore) applications.
  • If your 3G iPhone is not on a regular contract and you plan to use it on an alternative network to the carrier that supplied it then do not update unless you do it with the impending PwnageTool update.
  • PwnageTool v2.0.1 does not work with version 2.0.1 of the iPhone or iPod update from Apple.
  • We will release an update to PwnageTool when the testing has been completed and all applied changes have been checked for safety.